diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 3179add..f57068c 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -52,7 +52,7 @@
     </listitem>
     <listitem>
       <para>
-        Replicating between different major versions of the PostgreSQL
+        Replicating between different major versions of the PostgreSQL.
       </para>
     </listitem>
     <listitem>
@@ -325,7 +325,7 @@
 <programlisting>
 wal_level = logical
 max_worker_processes = 10 # one per subscription + one per instance needed on subscriber
-max_logical_replication_workers = 10 # one per subscription + one per instance needed on subscriber
+max_logical_replication_processes = 10 # one per subscription + one per instance needed on subscriber
 max_replication_slots = 10 # one per subscription needed both provider and subscriber
 max_wal_senders = 10 # one per subscription needed on provider
 </programlisting>
diff --git a/src/backend/commands/subscriptioncmds.c b/src/backend/commands/subscriptioncmds.c
index bfef492..0100d43 100644
--- a/src/backend/commands/subscriptioncmds.c
+++ b/src/backend/commands/subscriptioncmds.c
@@ -254,7 +254,7 @@ CreateSubscription(CreateSubscriptionStmt *stmt)
        wrchandle = walrcvconn_init(wrcapi);
        if (wrcapi->connect == NULL ||
                wrcapi->create_slot == NULL)
-               elog(ERROR, "libpqwalreceiver didn't initialize correctly");
+               elog(ERROR, "libpqwalreceiver didn't initialized correctly");
 
        /*
         * Create the replication slot on remote side for our newly created
diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index def88d3..cc60582 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -1152,7 +1152,7 @@ CopyTableWriteData(LogicalDecodingContext *ctx, XLogRecPtr lsn, TransactionId xi
 }
 
 /*
- * Handle OPY_TABLE command.
+ * Handle COPY_TABLE command.
  */
 static void
 CopyTable(CopyTableCmd *cmd)